Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Kurtakov2016-07-28 10:19:52 +0000
committerAlexander Kurtakov2016-07-28 10:31:36 +0000
commit79ffdde918f9fd9527bb4fa465fa7991f4736dea (patch)
treebd29faf4bc73cef4871d339879f82a8ceaa28f04
parentc856de27051a9566aef3990fdb53159b1d6894db (diff)
downloadrt.equinox.bundles-79ffdde918f9fd9527bb4fa465fa7991f4736dea.tar.gz
rt.equinox.bundles-79ffdde918f9fd9527bb4fa465fa7991f4736dea.tar.xz
rt.equinox.bundles-79ffdde918f9fd9527bb4fa465fa7991f4736dea.zip
Move to Java 1.4 directly and bump minor to reflect BREE change. Use compiler settings from BREE. Change-Id: Ib1fd655ef4cc333cb97f8735a77aa62bfd09ac4f Signed-off-by: Alexander Kurtakov <akurtako@redhat.com>
-rw-r--r--bundles/org.eclipse.equinox.bidi/.classpath2
-rw-r--r--bundles/org.eclipse.equinox.bidi/.settings/org.eclipse.jdt.core.prefs4
-rw-r--r--bundles/org.eclipse.equinox.bidi/META-INF/MANIFEST.MF4
-rw-r--r--bundles/org.eclipse.equinox.bidi/build.properties1
-rw-r--r--bundles/org.eclipse.equinox.bidi/pom.xml20
5 files changed, 6 insertions, 25 deletions
diff --git a/bundles/org.eclipse.equinox.bidi/.classpath b/bundles/org.eclipse.equinox.bidi/.classpath
index d5735f01..2fbb7a23 100644
--- a/bundles/org.eclipse.equinox.bidi/.classpath
+++ b/bundles/org.eclipse.equinox.bidi/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/OSGi%Minimum-1.2"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.4"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/bundles/org.eclipse.equinox.bidi/.settings/org.eclipse.jdt.core.prefs b/bundles/org.eclipse.equinox.bidi/.settings/org.eclipse.jdt.core.prefs
index d4838213..6fb20091 100644
--- a/bundles/org.eclipse.equinox.bidi/.settings/org.eclipse.jdt.core.prefs
+++ b/bundles/org.eclipse.equinox.bidi/.settings/org.eclipse.jdt.core.prefs
@@ -1,4 +1,3 @@
-#Mon Feb 22 08:40:30 CST 2010
eclipse.preferences.version=1
org.eclipse.jdt.core.builder.cleanOutputFolder=clean
org.eclipse.jdt.core.builder.duplicateResourceTask=warning
@@ -7,7 +6,8 @@ org.eclipse.jdt.core.builder.resourceCopyExclusionFilter=*.launch
org.eclipse.jdt.core.circularClasspath=error
org.eclipse.jdt.core.classpath.exclusionPatterns=enabled
org.eclipse.jdt.core.classpath.multipleOutputLocations=enabled
-org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=disabled
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.2
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
org.eclipse.jdt.core.compiler.compliance=1.4
diff --git a/bundles/org.eclipse.equinox.bidi/META-INF/MANIFEST.MF b/bundles/org.eclipse.equinox.bidi/META-INF/MANIFEST.MF
index c265bac6..a6cd2fb8 100644
--- a/bundles/org.eclipse.equinox.bidi/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.equinox.bidi/META-INF/MANIFEST.MF
@@ -3,9 +3,9 @@ Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-SymbolicName: org.eclipse.equinox.bidi;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.1.0.qualifier
Bundle-Localization: plugin
-Bundle-RequiredExecutionEnvironment: OSGi/Minimum-1.2
+Bundle-RequiredExecutionEnvironment: J2SE-1.4
Bundle-ActivationPolicy: lazy
Export-Package: org.eclipse.equinox.bidi,
org.eclipse.equinox.bidi.advanced,
diff --git a/bundles/org.eclipse.equinox.bidi/build.properties b/bundles/org.eclipse.equinox.bidi/build.properties
index 01d163bd..40cfb7f7 100644
--- a/bundles/org.eclipse.equinox.bidi/build.properties
+++ b/bundles/org.eclipse.equinox.bidi/build.properties
@@ -18,4 +18,3 @@ bin.includes = plugin.xml,\
schema/
src.includes = about.html,\
schema/
-jre.compilation.profile = J2SE-1.3
diff --git a/bundles/org.eclipse.equinox.bidi/pom.xml b/bundles/org.eclipse.equinox.bidi/pom.xml
index 53a88f99..4cf7b704 100644
--- a/bundles/org.eclipse.equinox.bidi/pom.xml
+++ b/bundles/org.eclipse.equinox.bidi/pom.xml
@@ -19,24 +19,6 @@
</parent>
<groupId>org.eclipse.equinox</groupId>
<artifactId>org.eclipse.equinox.bidi</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.1.0-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
-
- <build>
- <plugins>
- <plugin>
- <groupId>org.eclipse.tycho</groupId>
- <artifactId>target-platform-configuration</artifactId>
- <configuration>
- <!--
- Build java profile J2SE-1.3 set in build.properties does not provide
- OSGi/Minimum-1.2 defined in bundle manifest. Probably need to report
- this to the equinox team to reconsile the two, but for now just
- override build profile in pom.xml.
- -->
- <executionEnvironment>OSGi/Minimum-1.2</executionEnvironment>
- </configuration>
- </plugin>
- </plugins>
- </build>
</project>

Back to the top